Run of fresh-snapshots for python-misaka

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot python-misaka 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
[2021-04-02 03:08:09] Running ['new-upstream', '--snapshot']
[2021-04-02 03:08:09] Opening branch at https://salsa.debian.org/openstack-team/python/python-misaka.git/,branch=debian%2Fwallaby
[2021-04-02 03:08:12] Cached branch URL https://janitor.debian.net/git/python-misaka,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/python-misaka/": location is a repository.
[2021-04-02 03:08:13]   47% (270/574)
[2021-04-02 03:08:13] Total 1250 (delta 667), reused 1223 (delta 651), pack-reused 0
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 458, in fetch_pack
    result = self._client.fetch_pack(
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 1012, in fetch_pack
    refs, server_capabilities = read_pkt_refs(proto)
  File "/srv/janitor/debian-janitor/dulwich/dulwich/client.py", line 226, in read_pkt_refs
    raise GitProtocolError(ref.decode("utf-8", "replace"))
dulwich.errors.GitProtocolError: Repository not found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 209, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 721, in process_package
    with Workspace(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/workspace.py", line 120, in __enter__
    self.local_tree, self._destroy = create_temp_sprout(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 95, in create_temp_sprout
    raise e
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 75, in create_temp_sprout
    to_dir = branch.controldir.sprout(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/dir.py", line 209, in sprout
    sublocation = wt.reference_parent(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/workingtree.py", line 1414, in reference_parent
    return _mod_branch.Branch.open(remote_url, possible_transports=possible_transports)
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 174, in open
    return control.open_branch(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 559, in open_branch
    if not nascent_ok and ref not in self.get_refs_container():
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 580, in get_refs_container
    result = self.fetch_pack(lambda x: None, None,
  File "/srv/janitor/debian-janitor/breezy/breezy/git/remote.py", line 469, in fetch_pack
    raise parse_git_error(self.transport.external_url(), e)
breezy.errors.NotBranchError: Not a branch: "git://github.com/tanoku/sundown.git": Repository not found..

Full worker log